Skip to main content

Class ExportRecordsToFilesRequest.Options

java.lang.Object
com.gpudb.protocol.ExportRecordsToFilesRequest.Options

public static final class ExportRecordsToFilesRequest.Options extends Object
A set of string constants for the ExportRecordsToFilesRequest parameter options.

Optional parameters.

  • Field Details

    • BATCH_SIZE

      public static final String BATCH_SIZE
      Number of records to be exported as a batch. The default value is ‘1000000’.
    • COLUMN_FORMATS

      public static final String COLUMN_FORMATS
      For each source column specified, applies the column-property-bound format. Currently supported column properties include date, time, and datetime. The parameter value must be formatted as a JSON string of maps of column names to maps of column properties to their corresponding column formats, e.g., ’ “order_date” : “date” : “%Y.%m.%d” , “order_time” : “time” : “%H:%M:%S” ’.

      See DEFAULT_COLUMN_FORMATS for valid format syntax.

    • COLUMNS_TO_EXPORT

      public static final String COLUMNS_TO_EXPORT
      Specifies a comma-delimited list of columns from the source table to export, written to the output file in the order they are given.

      Column names can be provided, in which case the target file will use those names as the column headers as well.

      Alternatively, column numbers can be specified—discretely or as a range. For example, a value of ‘5,7,1..3’ will write values from the fifth column in the source table into the first column in the target file, from the seventh column in the source table into the second column in the target file, and from the first through third columns in the source table into the third through fifth columns in the target file.

      Mutually exclusive with COLUMNS_TO_SKIP.

    • COLUMNS_TO_SKIP

      public static final String COLUMNS_TO_SKIP
      Comma-separated list of column names or column numbers to not export. All columns in the source table not specified will be written to the target file in the order they appear in the table definition. Mutually exclusive with COLUMNS_TO_EXPORT.
    • DATASINK_NAME

      public static final String DATASINK_NAME
      Datasink name, created using GPUdb.createDatasink.
    • DEFAULT_COLUMN_FORMATS

      public static final String DEFAULT_COLUMN_FORMATS
      Specifies the default format to use to write data. Currently supported column properties include date, time, and datetime. This default column-property-bound format can be overridden by specifying a column property and format for a given source column in COLUMN_FORMATS. For each specified annotation, the format will apply to all columns with that annotation unless custom COLUMN_FORMATS for that annotation are specified.

      The parameter value must be formatted as a JSON string that is a map of column properties to their respective column formats, e.g., ’ “date” : “%Y.%m.%d”, “time” : “%H:%M:%S” ’. Column formats are specified as a string of control characters and plain text. The supported control characters are ‘Y’, ‘m’, ‘d’, ‘H’, ‘M’, ‘S’, and ‘s’, which follow the Linux ‘strptime()’ specification, as well as ‘s’, which specifies seconds and fractional seconds (though the fractional component will be truncated past milliseconds).

      Formats for the ‘date’ annotation must include the ‘Y’, ‘m’, and ‘d’ control characters. Formats for the ‘time’ annotation must include the ‘H’, ‘M’, and either ‘S’ or ‘s’ (but not both) control characters. Formats for the ‘datetime’ annotation meet both the ‘date’ and ‘time’ control character requirements. For example, ‘“datetime” : “%m/%d/%Y %H:%M:%S” ’ would be used to write text as “05/04/2000 12:12:11”

    • EXPORT_DDL

      public static final String EXPORT_DDL
      Save DDL to a separate file. The default value is ‘false’.
    • FILE_EXTENSION

      public static final String FILE_EXTENSION
      Extension to give the export file. The default value is ‘.csv’.
    • FILE_TYPE

      public static final String FILE_TYPE
      Specifies the file format to use when exporting data. Supported values:The default value is DELIMITED_TEXT.
    • DELIMITED_TEXT

      public static final String DELIMITED_TEXT
      Delimited text file format; e.g., CSV, TSV, PSV, etc.
    • PARQUET

      public static final String PARQUET
    • KINETICA_HEADER

      public static final String KINETICA_HEADER
      Whether to include a Kinetica proprietary header. Will not be written if TEXT_HAS_HEADER is FALSE. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • KINETICA_HEADER_DELIMITER

      public static final String KINETICA_HEADER_DELIMITER
      If a Kinetica proprietary header is included, then specify a property separator. Different from column delimiter. The default value is ’|’.
    • COMPRESSION_TYPE

      public static final String COMPRESSION_TYPE
      File compression type. GZip can be applied to text and Parquet files. Snappy can only be applied to Parquet files, and is the default compression for them. Supported values:
    • UNCOMPRESSED

      public static final String UNCOMPRESSED
    • SNAPPY

      public static final String SNAPPY
    • GZIP

      public static final String GZIP
    • SINGLE_FILE

      public static final String SINGLE_FILE
      Save records to a single file. This option may be ignored if file size exceeds internal file size limits (this limit will differ on different targets). Supported values:The default value is TRUE.
    • OVERWRITE

      public static final String OVERWRITE
    • SINGLE_FILE_MAX_SIZE

      public static final String SINGLE_FILE_MAX_SIZE
      Max file size (in MB) to allow saving to a single file. May be overridden by target limitations. The default value is ”.
    • TEXT_DELIMITER

      public static final String TEXT_DELIMITER
      Specifies the character to write out to delimit field values and field names in the header (if present).

      For DELIMITED_TEXT FILE_TYPE only. The default value is ’,’.

    • TEXT_HAS_HEADER

      public static final String TEXT_HAS_HEADER
      Indicates whether to write out a header row.

      For DELIMITED_TEXT FILE_TYPE only. Supported values:

      The default value is TRUE.
    • TEXT_NULL_STRING

      public static final String TEXT_NULL_STRING
      Specifies the character string that should be written out for the null value in the data.

      For DELIMITED_TEXT FILE_TYPE only. The default value is ‘\N’.